> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetWABPhoneNumbers

POST https://api.voximplant.com/platform_api/GetWABPhoneNumbers

Gets the account's WhatsApp Business phone numbers.

Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Accountant`, `Support`, `Payer`.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/wab-phone-numbers/get-wab-phone-numbers

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `wab_phone_number` (string, optional) — WhatsApp Business phone number
- `application_id` (integer, optional) — Application ID that is bound to the WhatsApp Business phone number
- `application_name` (string, optional) — Bound application name that can be used instead of **application_id**
- `country_code` (string, optional) — Country code filter (2 symbols) for the WhatsApp Business phone number
- `count` (integer, optional, default: 100) — Maximum returning records count
- `offset` (integer, optional, default: 0) — Number of records to be skipped in the result

## Response

### 200

Successful response

- `result` (list of WABPhoneInfoType, optional) — WhatsApp Business phone numbers info
- `total_count` (integer, optional) — Number of total records found
- `count` (integer, optional) — Number of returned records

## Types

### WABPhoneInfoType

The [GetWABPhoneNumbers] function result.

- `wab_phone_number` (string, optional) — WhatsApp Business phone number
- `country_code` (string, optional) — The WhatsApp Business country code (2 symbols)
- `application_id` (integer, optional) — ID of the bound application
- `application_name` (string, optional) — Name of the bound application
- `rule_id` (integer, optional) — ID of the bound rule
- `rule_name` (string, optional) — Name of the bound rule
- `extended_application_name` (string, optional) — Full application name, e.g. myapp.myaccount.n1.voximplant.com
- `description` (string, optional) — WhatsApp Business phone number description
- `created` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
- `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. UTC date of an event associated with the number in 24-h format: YYYY-MM-DD HH:mm:ss
- `creared` (string, optional)

## Examples

**Response**

```json
{
  "result": [
    {
      "wab_phone_number": "12126367890",
      "country_code": "US",
      "modified": "2025-08-19 11:25:02",
      "creared": "2025-08-19 11:20:01"
    },
    {
      "wab_phone_number": "12126367891",
      "country_code": "US",
      "application_id": 1234,
      "application_name": "myapp.myaccount.voximplant.com",
      "extended_application_name": "myapp.myaccount.n1.voximplant.com",
      "description": "My number",
      "modified": "2025-08-19 11:25:04",
      "creared": "2025-08-19 11:20:03"
    },
    {
      "wab_phone_number": "12126367891",
      "country_code": "US",
      "application_id": 1234,
      "application_name": "myapp.myaccount.voximplant.com",
      "rule_id": 5467,
      "rule_name": "myrule",
      "extended_application_name": "myapp.myaccount.n1.voximplant.com",
      "description": "My number",
      "modified": "2025-08-19 11:25:06",
      "creared": "2025-08-19 11:20:05"
    }
  ],
  "total_count": 3,
  "count": 3
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetWABPhoneNumbers"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetWABPhoneNumbers';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetWABPhoneNumbers"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetWABPhoneNumbers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetWABPhoneNumbers")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetWABPhoneNumbers', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetWABPhoneNumbers");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetWABPhoneNumbers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```